"use strict";

const ensureValidDimension = require("../ensure-valid-dimension");

module.exports = function getImageDimensions(imageElement) {
	// FIXME: Validation

	return {
		width: ensureValidDimension(imageElement.naturalWidth),
		height: ensureValidDimension(imageElement.naturalHeight)
	};
};
